> For the complete documentation index, see [llms.txt](https://integrations.impact.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://integrations.impact.com/brand-api-reference/reference/partner-groups/partner-groups.md).

# Partner Groups

## List All Partner Groups

> Returns a list of all partner groups for a specific campaign.

```json
{"openapi":"3.1.0","info":{"title":"Brand API - Partner Groups","version":"v14"},"servers":[{"url":"https://api.impact.com"}],"paths":{"/Advertisers/{AccountSID}/Campaigns/{CampaignId}/MediaPartnerGroups":{"get":{"summary":"List All Partner Groups","description":"Returns a list of all partner groups for a specific campaign.","operationId":"listPartnerGroups","tags":["Partner Groups"],"parameters":[{"name":"AccountSID","in":"path","required":true,"schema":{"type":"string"}},{"name":"CampaignId","in":"path","required":true,"description":"The ID of the campaign to retrieve partner groups from.","schema":{"type":"integer"}}],"responses":{"200":{"description":"A paginated list of partner group objects.","content":{"application/json":{"schema":{"type":"object","properties":{"Groups":{"type":"array","description":"The list of partner group objects.","items":{"$ref":"#/components/schemas/PartnerGroup"}}}}}}}}}}},"components":{"schemas":{"PartnerGroup":{"type":"object","properties":{"Id":{"type":"string","description":"The unique identifier for the partner group."},"Name":{"type":"string","description":"The partner group's name. Only visible to you and other account members, not visible to partners."},"MediaPartners":{"type":"array","description":"The partners belonging to this group.","items":{"type":"object","properties":{"PartnerId":{"type":"string","description":"The unique identifier of the partner."},"PartnerName":{"type":"string","description":"The display name of the partner."},"PartnerUri":{"type":"string","format":"uri-reference","description":"The unique reference to the partner in the impact.com API."}}}},"Uri":{"type":"string","format":"uri-reference","description":"The unique reference to this partner group in the impact.com API."}}}}}}
```

## Create a Partner Group

> Creates a new partner group and optionally adds partners to it.

```json
{"openapi":"3.1.0","info":{"title":"Brand API - Partner Groups","version":"v14"},"servers":[{"url":"https://api.impact.com"}],"paths":{"/Advertisers/{AccountSID}/Campaigns/{CampaignId}/MediaPartnerGroups":{"post":{"summary":"Create a Partner Group","description":"Creates a new partner group and optionally adds partners to it.","operationId":"createPartnerGroup","tags":["Partner Groups"],"parameters":[{"name":"AccountSID","in":"path","required":true,"schema":{"type":"string"}},{"name":"CampaignId","in":"path","required":true,"description":"The ID of the campaign where the group will be created.","schema":{"type":"integer"}}],"requestBody":{"description":"The details for the new partner group.","required":true,"content":{"application/x-www-form-urlencoded":{"schema":{"type":"object","required":["Name"],"properties":{"Name":{"type":"string","description":"The name for the new partner group."},"MediaPartners":{"type":"string","description":"A comma-separated list of MediaPartnerId values to add to the group."}}}}}},"responses":{"200":{"description":"The group was created successfully.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SuccessUriResponse"}}}}}}}},"components":{"schemas":{"SuccessUriResponse":{"type":"object","properties":{"Status":{"type":"string","description":"Indicates whether the operation was successful."},"Uri":{"type":"string","format":"uri-reference","description":"The unique reference to the affected partner group."}}}}}}
```

## Get Partner Group Details

> Retrieves the details of a single partner group, including a list of its member partners.

```json
{"openapi":"3.1.0","info":{"title":"Brand API - Partner Groups","version":"v14"},"servers":[{"url":"https://api.impact.com"}],"paths":{"/Advertisers/{AccountSID}/Campaigns/{CampaignId}/MediaPartnerGroups/{PartnerGroupId}":{"get":{"summary":"Get Partner Group Details","description":"Retrieves the details of a single partner group, including a list of its member partners.","operationId":"getPartnerGroupById","tags":["Partner Groups"],"parameters":[{"name":"AccountSID","in":"path","required":true,"description":"The unique identifier for the account.","schema":{"type":"string"}},{"name":"CampaignId","in":"path","required":true,"description":"The ID of the campaign the group belongs to.","schema":{"type":"integer"}},{"name":"PartnerGroupId","in":"path","required":true,"description":"The unique identifier for the partner group.","schema":{"type":"integer"}}],"responses":{"200":{"description":"A single partner group object.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PartnerGroup"}}}}}}}},"components":{"schemas":{"PartnerGroup":{"type":"object","properties":{"Id":{"type":"string","description":"The unique identifier for the partner group."},"Name":{"type":"string","description":"The partner group's name. Only visible to you and other account members, not visible to partners."},"MediaPartners":{"type":"array","description":"The partners belonging to this group.","items":{"type":"object","properties":{"PartnerId":{"type":"string","description":"The unique identifier of the partner."},"PartnerName":{"type":"string","description":"The display name of the partner."},"PartnerUri":{"type":"string","format":"uri-reference","description":"The unique reference to the partner in the impact.com API."}}}},"Uri":{"type":"string","format":"uri-reference","description":"The unique reference to this partner group in the impact.com API."}}}}}}
```

## Update a Partner Group

> Updates a partner group by renaming it, adding partners, or removing partners.

```json
{"openapi":"3.1.0","info":{"title":"Brand API - Partner Groups","version":"v14"},"servers":[{"url":"https://api.impact.com"}],"paths":{"/Advertisers/{AccountSID}/Campaigns/{CampaignId}/MediaPartnerGroups/{PartnerGroupId}":{"put":{"summary":"Update a Partner Group","description":"Updates a partner group by renaming it, adding partners, or removing partners.","operationId":"updatePartnerGroup","tags":["Partner Groups"],"parameters":[{"name":"AccountSID","in":"path","required":true,"description":"The unique identifier for the account.","schema":{"type":"string"}},{"name":"CampaignId","in":"path","required":true,"description":"The ID of the campaign the group belongs to.","schema":{"type":"integer"}},{"name":"PartnerGroupId","in":"path","required":true,"description":"The unique identifier for the partner group to update.","schema":{"type":"integer"}}],"requestBody":{"description":"The updates to apply to the partner group.","required":true,"content":{"application/x-www-form-urlencoded":{"schema":{"type":"object","properties":{"Name":{"type":"string","description":"The new name for the partner group."},"MediaPartnersAdd":{"type":"string","description":"A comma-separated list of MediaPartnerId values to add."},"MediaPartnersRemove":{"type":"string","description":"A comma-separated list of MediaPartnerId values to remove."}}}}}},"responses":{"200":{"description":"The group was updated successfully.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SuccessUriResponse"}}}}}}}},"components":{"schemas":{"SuccessUriResponse":{"type":"object","properties":{"Status":{"type":"string","description":"Indicates whether the operation was successful."},"Uri":{"type":"string","format":"uri-reference","description":"The unique reference to the affected partner group."}}}}}}
```

## Delete a Partner Group

> Deletes a partner group. Partners will no longer be associated with the deleted group.

```json
{"openapi":"3.1.0","info":{"title":"Brand API - Partner Groups","version":"v14"},"servers":[{"url":"https://api.impact.com"}],"paths":{"/Advertisers/{AccountSID}/Campaigns/{CampaignId}/MediaPartnerGroups/{PartnerGroupId}":{"delete":{"summary":"Delete a Partner Group","description":"Deletes a partner group. Partners will no longer be associated with the deleted group.","operationId":"deletePartnerGroup","tags":["Partner Groups"],"parameters":[{"name":"AccountSID","in":"path","required":true,"description":"The unique identifier for the account.","schema":{"type":"string"}},{"name":"CampaignId","in":"path","required":true,"description":"The ID of the campaign the group belongs to.","schema":{"type":"integer"}},{"name":"PartnerGroupId","in":"path","required":true,"description":"The unique identifier for the partner group to delete.","schema":{"type":"integer"}}],"responses":{"200":{"description":"The group was deleted successfully.","content":{"application/json":{"schema":{"type":"object","properties":{"Status":{"type":"string","description":"Indicates that the partner group was deleted."}}}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://integrations.impact.com/brand-api-reference/reference/partner-groups/partner-groups.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
